Coin: ScXMLHistoryElt Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
ScXMLHistoryElt Class Reference
State Chart XML Classes

implements the <history> SCXML element. More...

`#include <Inventor/scxml/ScXMLHistoryElt.h>`

Inheritance diagram for ScXMLHistoryElt:

## Public Member Functions
virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
virtual void | setIdAttribute (const char *id)
const char * | getIdAttribute (void) const
virtual void | setTypeAttribute (const char *type)
const char * | getTypeAttribute (void) const
virtual SbBool | handleXMLAttributes (void)
virtual void | copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * | search (const char *attrname, const char *attrvalue) const
virtual void | setTransition (ScXMLTransitionElt *transition)
virtual ScXMLTransitionElt * | getTransition (void) const
Public Member Functions inherited from ScXMLElt
void | setXMLAttribute (const char *attribute, const char *value)
const char * | getXMLAttribute (const char *attribute) const
ScXMLElt * | clone (void) const
virtual void | setContainer (ScXMLElt *container)
ScXMLElt * | getContainer (void) const
SbBool | isContainedIn (const ScXMLElt *object) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions
static ScXMLEltReader * | getElementReader (void)
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLElt
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Protected Attributes
char * | id
char * | type

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLElt
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

implements the <history> SCXML element.

The <history> element is not supported, other than as a dummy state.

Since
  Coin 3.0

## Member Function Documentation

## ◆ getTypeId()

SoType ScXMLHistoryElt::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Implements ScXMLElt.

## ◆ handleXMLAttributes()

SbBool ScXMLHistoryElt::handleXMLAttributes | ( | void |  | ) |
| virtual

This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were OK or if a read error should be produced.

Returns
  TRUE if the attributes are OK, and FALSE on error.

This base class implementation does nothing and just returns TRUE.

Reimplemented from ScXMLElt.

## ◆ copyContents()

void ScXMLHistoryElt::copyContents | ( | const ScXMLElt * | rhs | ) |
| virtual

Reimplemented from ScXMLElt.

## ◆ search()

const ScXMLElt * ScXMLHistoryElt::search | ( | const char * | attrname,
|  | const char * | attrvalue ) const
| virtual

This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLElt.

The documentation for this class was generated from the following files:

- ScXMLHistoryElt.h
- ScXMLHistoryElt.cpp